Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ucp.ws
Class UcpElement

    java.lang.Object
      ucp.ws.UcpElement

    public class UcpElement

extends java.lang.Object

Simple pojo object used to send UCP model elements

Constructor Summary
`UcpElement()`

Method Summary
`int` | `getComplexity()`
`double` | `getHours()`
`double` | `getHoursPerUc()`
`double` | `getHoursSW()`
`java.lang.String` | `getId()`
`java.lang.String` | `getIdParent()`
`java.lang.String` | `getName()`
`double` | `getSchneiderwinters()`
`double` | `getSubCasesHours()`
`double` | `getSubCasesHoursSW()`
`double` | `getSubUCP()`
`int` | `getSubUUCP()`
`java.lang.String` | `getType()`
`double` | `getUcp()`
`void` | `setComplexity(int complexity)`
`void` | `setHours(double hours)`
`void` | `setHoursPerUc(double hoursPerUc)`
`void` | `setHoursSW(double hoursSW)`
`void` | `setId(java.lang.String id)`
`void` | `setIdParent(java.lang.String idParent)`
`void` | `setName(java.lang.String name)`
`void` | `setSchneiderwinters(double schneiderwinters)`
`void` | `setSubCasesHours(double subCasesHours)`
`void` | `setSubCasesHoursSW(double subCasesHoursSW)`
`void` | `setSubUCP(double subUCP)`
`void` | `setSubUUCP(int subUUCP)`
`void` | `setType(java.lang.String type)`
`void` | `setUcp(double ucp)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### UcpElement

    public UcpElement()

Method Detail

### getId

    public java.lang.String getId()

  Returns:

### setId

    public void setId(java.lang.String id)

  Parameters:
    `id` -

### getName

    public java.lang.String getName()

  Returns:

### setName

    public void setName(java.lang.String name)

  Parameters:
    `name` -

### getIdParent

    public java.lang.String getIdParent()

  Returns:

### setIdParent

    public void setIdParent(java.lang.String idParent)

  Parameters:
    `idParent` -

### getType

    public java.lang.String getType()

  Returns:

### setType

    public void setType(java.lang.String type)

  Parameters:
    `type` -

### getComplexity

    public int getComplexity()

  Returns:

### setComplexity

    public void setComplexity(int complexity)

  Parameters:
    `complexity` -

### getHours

    public double getHours()

  Returns:

### setHours

    public void setHours(double hours)

  Parameters:
    `hours` -

### getHoursPerUc

    public double getHoursPerUc()

  Returns:

### setHoursPerUc

    public void setHoursPerUc(double hoursPerUc)

  Parameters:
    `hoursPerUc` -

### getHoursSW

    public double getHoursSW()

  Returns:

### setHoursSW

    public void setHoursSW(double hoursSW)

  Parameters:
    `hoursSW` -

### getSchneiderwinters

    public double getSchneiderwinters()

  Returns:

### setSchneiderwinters

    public void setSchneiderwinters(double schneiderwinters)

  Parameters:
    `schneiderwinters` -

### getSubCasesHours

    public double getSubCasesHours()

  Returns:

### setSubCasesHours

    public void setSubCasesHours(double subCasesHours)

  Parameters:
    `subCasesHours` -

### getSubCasesHoursSW

    public double getSubCasesHoursSW()

  Returns:

### setSubCasesHoursSW

    public void setSubCasesHoursSW(double subCasesHoursSW)

  Parameters:
    `subCasesHoursSW` -

### getSubUUCP

    public int getSubUUCP()

  Returns:

### setSubUUCP

    public void setSubUUCP(int subUUCP)

  Parameters:
    `subUUCP` -

### getUcp

    public double getUcp()

  Returns:

### setUcp

    public void setUcp(double ucp)

  Parameters:
    `ucp` -

### getSubUCP

    public double getSubUCP()

  Returns:

### setSubUCP

    public void setSubUCP(double subUCP)

  Parameters:
    `subUCP` -

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD